#include "DLClassifier.h"
#include <string>
#include <vector>
#include <stdio.h>
#include <iostream>

using namespace std;


int main(int argc, char *argv[])
{
	string strData = "data.txt";
	string strClass = "class.txt";
	string strTraining = "training.txt";

	vector< vector<double> > data;
	vector<int> dataclass;
	vector<int> training;

	// read in the data.

	FILE* fp = fopen( strData.c_str(), "r" );
	int vectorSize = 0;
	int nVector = 0;
	
	fscanf(fp,"%d\t%d\n",&nVector,&vectorSize);

	for(int i = 0; i < nVector; i++)
	{
		vector<double> tmp;
		char str [80];
		double d = 0;

		for(int j = 0; j < vectorSize; j++)
		{
			fscanf(fp,"%lf", &d);
			tmp.push_back(d);
		}
//		cout << d << endl;
		data.push_back(tmp);
	}

	fclose(fp);
	
	
	FILE* fp2 = fopen( strClass.c_str(), "r" );
	for(int i = 0; i < nVector; i++)
	{
		int val;
		fscanf(fp,"%d\n", &val);
		dataclass.push_back(val);
//		cout << val << endl;
	}
	fclose(fp2);

	FILE* fp3= fopen( strTraining.c_str(), "r" );
	int nTraining = 0;
	
	fscanf(fp,"%d\n",&nTraining);
	for(int i = 0; i < nTraining; i++)
	{
		int val;
		fscanf(fp,"%d\n", &val);
		training.push_back(val);
//		cout << val << endl;
	}
	fclose(fp3);

	DLClassifier classifier("model.txt");
	classifier.batchTraining( data, dataclass, training);
	classifier.batchTesting( data, dataclass, training);
	classifier.saveConfusionMatrix("tmp.txt");

	return 1;


}
