#ifndef _DLCLASSIFIER_H_
#define _DLCLASSIFIER_H_

#include <iostream>
#include <string>
#include <vector>
#include "svm.h"

using namespace std;

struct classifierNode
{
	vector<double> values;
	int label;
};

class DLClassifier
	/** 
	* \brief 	*/
{
public:
	bool train(vector<classifierNode>  trainingData);
	bool classify(classifierNode aTest);
	bool loadClassifier(string filename);
	bool saveClassifier(string filename);

private:
	vector<classifierNode> trainingVector; 

};

#endif // _DLCLASSIFIER_H_
